Get Transfers

Get historical transaction records related to the current account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
Defaults to 0

Unix timestamp in milliseconds. Returns only transactions created at or after this time. To filter by time, pass both start_datetime and end_datetime.

integer
Defaults to 0

Unix timestamp in milliseconds. Returns only transactions created at or before this time.

string
^[A-Za-z0-9_., -]*$

A list of asset IDs to filter by, separated by commas. Only letters, numbers, '_', '.', '-', commas and spaces are allowed (HTTP 422 otherwise).

string

The type of the transaction. One or more of the following, separated by commas: external_deposit, external_withdrawal, yield_deposit, yield_withdrawal, create_term_yield, settled_term_yield, trading_transfer, trading_settlement, yield_interest. Leave empty for all types.

integer
Defaults to 1

Page number for set of transaction desired.

integer
Defaults to 20

Limits the number of results. If not provided, a limit of 20 will be used.

string
Defaults to desc

The direction to order the results by, The value is desc or asc, and the default is to sort in descending order of creation time.

Headers
string
required

Your API key, sent in the api-key request header.

string
required

Lowercase hex-encoded HMAC-SHA256 of the timestamp header value, using your API secret as the key: hex(HMAC_SHA256(api_secret, timestamp)). Only the timestamp is signed; the request path and body are not part of the signature. An invalid signature returns HTTP 401.

string
required

A Unix timestamp in seconds, sent with every request and used as the signed message. Your timestamp must be within 30 seconds of the API server time, otherwise the request is considered expired and rejected with HTTP 408. We recommend using the Get Time endpoint to query the API server time if you believe there is a time difference between your server and the API servers.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json